<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:fab="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.prod_recupero_materiale.ProdRecuperoMaterialeFragment" />

    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".gest.prod_recupero_materiale.ProdRecuperoMaterialeFragment">


        <androidx.recyclerview.widget.RecyclerView
            android:background="@android:color/white"
            android:id="@+id/prod_recupero_materiale_main_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/prod_recupero_materiale_list_item"/>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/empty_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:alpha="0.3">

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_top"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                app:layout_constraintGuide_percent="0.2" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_left"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.15" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/guideline_empty_right"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.85" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="72dp"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/ic_playlist_add_check_24dp" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:text="@string/no_item_in_recupera_materiale"
                    android:textColor="@android:color/black"
                    android:textSize="18sp" />
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </RelativeLayout>

</layout>